<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yunzhi.marketing.mapper.SysButtonInMenuMapper">

    <select id="getButtonList" resultType="com.yunzhi.marketing.entity.SysButtonInMenu">
        SELECT
            t.serial_no,
            s.*
        FROM
            ta_role_button t
            LEFT JOIN sys_button_in_menu s ON t.btn_id = s.btn_id
        WHERE
            t.role_id = #{roleId}
    </select>
</mapper>
